.companies-recognized-globally .right-block .number-block .numbers>.wp-block-group__inner-container {
    flex-direction: column;
    text-align: center;
}

.companies-recognized-globally .right-block .number-block .numbers>.wp-block-group__inner-container p.text {
    margin: 0;
}

@media (min-width: 1024px) {
    .companies-recognized-globally .right-block p.text-circle-red {
        min-height: 220px;
    }
}

@media (min-width: 768px) and (max-width: 1023px) {
    .companies-recognized-globally .right-block p.text-circle-red {
        min-height: 115px;
    }
}